<?php
get_header();
if(have_posts()):?>
    <div class="wrapper-page">
        <!-- Header -->
        <header class="header">
            <div class="header-content">
                <div class="profile-picture-block">
                    <div class="my-photo">
                        <?php if(get_option('rap_site_logo')):?>
                            <img src="<?php echo get_option('rap_site_logo');?>" class="img-fluid" alt="<?php bloginfo('name');?>">
                        <?php endif;?>
                    </div>
                </div>
                <!-- Header Head -->
                <div class="site-title-block">
                    <div class="site-title"><?php bloginfo('name'); ?></div>
                    <div class="type-wrap">
                        <div class="typed-strings">
                            <?php echo get_option('rap_typed_strings'); ?>
                        </div>
                        <span class="typed" style="white-space:pre;"></span>
                    </div>
                </div>
                <!-- /Header Head -->

                <!-- Navigation -->
                <div class="site-nav">
                    <!-- Main menu -->
                    <?php
                    $menu_name = 'two_menu';
                    if (($locations = get_nav_menu_locations()) && isset($locations[$menu_name])) {
                        $menu = wp_get_nav_menu_object($locations[$menu_name]);
                        $menu_items = wp_get_nav_menu_items($menu->term_id);

                        $home_url = esc_url( home_url( '/' ) );
                        $menu_list = '<ul class="header-main-menu" id="header-main-menu">';
                        $menu_list .= '<li><a href="'.$home_url.'"><i class="fas fa-home"></i> خانه</a></li>';
                        foreach ((array) $menu_items as $key => $menu_item) {
                            $title = $menu_item->title;
                            $url = $menu_item->url;
                            $i_class = $menu_item->classes[0];
                            if($key){
                                $menu_list .= '<li><a href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }else{
                                $menu_list .= '<li><a class="active" href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }
                        }

                        echo $menu_list.'</ul>';

                    }
                    ?>
                    <!-- /Main menu -->

                    <!-- Copyrights -->
                    <div class="copyrights"><?php echo get_option('rap_footer');?></div>
                    <!-- / Copyrights -->
                </div>
                <!-- /Navigation -->
            </div>
        </header>
        <!-- /Header -->

        <!-- Mobile Header -->
        <div class="responsive-header">
            <div class="responsive-header-name">
                <?php if(get_option('rap_site_logo')):?>
                    <img src="<?php echo get_option('rap_site_logo');?>" class="responsive-logo" alt="<?php bloginfo('name');?>">
                <?php endif;?>
                <?php bloginfo('name'); ?>
            </div>
            <span class="responsive-icon"><i class="lnr lnr-menu"></i></span>
        </div>
        <!-- /Mobile Header -->
        <?php while (have_posts()) : the_post();?>
            <!-- Main Content Pages -->
            <div class="content-pages">
                <!-- Subpages -->
                <div class="sub-home-pages">

                    <!-- Titlebar -->
                    <div id="titlebar">
                        <div class="container">
                            <div class="special-block-bg">
                                <h2>مقالات</h2>
                                <!-- Breadcrumbs -->
                                <nav id="breadcrumbs">
                                    <ul>
                                        <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="pe-7s-home"></i> خانه</a></li>
                                        <li><a href="#">مقالات</a></li>
                                        <li><?php echo get_the_title();?></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <!-- /Titlebar -->

                    <!-- Content -->
                    <div class="container">
                        <!-- Blog Posts -->
                        <div class="blog-page">
                            <div class="row">
                                <!-- Post Content -->
                                <div class="col-lg-8 col-md-8">
                                    <!-- Blog Post -->
                                    <div class="blog-post single-post">
                                        <!-- Img -->
                                        <?php if(get_the_post_thumbnail_url( get_the_ID() )):?>
                                            <img class="post-img" src="<?php echo get_the_post_thumbnail_url( get_the_ID() ); ?>" alt="<?php echo get_the_title();?>">
                                        <?php endif;?>
                                        <!-- Content -->
                                        <div class="post-content">
                                            <h3><?php echo get_the_title();?></h3>
                                            <ul class="post-meta">
                                                <li><a href="#"><i class="lnr lnr-user"></i> <?php  echo get_the_author();?></a></li>
                                                <li><i class="lnr lnr-history"></i> <?php  echo get_the_date();?></li>
                                                <li><i class="lnr lnr-book"></i>
                                                    <?php
                                                    $term_lists = wp_get_post_terms(get_the_ID(), 'category');
                                                    foreach($term_lists as $term_list){
                                                        $link_cat = get_tag_link($term_list->term_id);
                                                        echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a> ';
                                                    };
                                                    ?>
                                                </li>
                                                <li><a href="#"><i class="lnr lnr-bubble"></i> <?php echo get_comments_number(get_the_ID());?> دیدگاه</a></li>
                                            </ul>
                                            <p><?php the_content(); ?></p>
                                            <!-- Share Buttons -->
                                            <ul class="share-buttons margin-top-40 margin-bottom-0">
                                                <li><a class="fb-share" href="https://www.facebook.com/sharer.php?u=<?php the_permalink();?>&t=<?php the_title();?>"><i class="fab fa-facebook-f"></i> Share</a></li>
                                                <li><a class="twitter-share" href="https://twitter.com/home?status=<?php the_permalink();?>"><i class="fab fa-twitter"></i> Tweet</a></li>
                                                <li><a class="gplus-share" href="#"><i class="fab fa-google-plus-g"></i> Share</a></li>
                                                <li><a class="pinterest-share" href="#"><i class="fab fa-pinterest-p"></i> Pin</a></li>
                                            </ul>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                    <!-- Blog Post / End -->

                                    <!-- Post Navigation -->
                                    <ul id="posts-nav" class="margin-top-0 margin-bottom-45">
                                        <?php next_post_link('<li class="next-post">%link</li>', '<span>مطلب بعدی</span> %title', TRUE); ?>
                                        <?php previous_post_link('<li class="prev-post">%link</li>', '<span>مطلب قبلی</span> %title', TRUE); ?>
                                    </ul>

                                    <!-- About Author -->
                                    <div class="about-author">
                                        <?php
                                        global $post;
                                        $user_id = $post->post_author;
                                        ?>
                                        <img src="<?php echo get_avatar_url($user_id)?>" alt="<?php the_author_meta( 'display_name'); ?>">
                                        <div class="about-description">
                                            <h4><?php the_author_meta( 'display_name'); ?></h4>
                                            <a href="#"><span><?php the_author_meta( 'user_email'); ?></span></a>
                                            <p><?php the_author_meta( 'description'); ?></p>
                                        </div>
                                    </div>

                                    <!-- Related Posts -->
                                    <div class="clearfix"></div>
                                    <h4 class="headline margin-top-25">مقالات مرتبط</h4>
                                    <div class="row blog-grid-flex">
                                        <?php
                                        global $post;
                                        $tags = wp_get_post_tags($post->ID);
                                        if ($tags) {
                                            $first_tag = $tags[0]->term_id;
                                            $args=array(
                                                'tag__in' => array($first_tag),
                                                'post__not_in' => array($post->ID),
                                                'posts_per_page'=>2,
                                                'caller_get_posts'=>1
                                            );
                                            $related = new WP_Query($args);
                                            if( $related->have_posts() ) {
                                                while ($related->have_posts()) : $related->the_post();
                                                    $term_lists = wp_get_post_terms(get_the_ID(), 'category');
                                                    $term_lists2 = wp_get_post_terms(get_the_ID(), 'post_tag');
                                                    ?>

                                                    <div class="col-md-6 col-sm-12 blog-item">
                                                        <div class="blog-article">
                                                            <div class="comment-like"> <span><i class="fas fa-comment" aria-hidden="true"></i> <?php echo get_comments_number(get_the_ID());?></span> </div>
                                                            <div class="article-img">
                                                                <a href="<?php the_permalink(); ?>"> <?php the_post_thumbnail(array(329,219),array('class' => 'img-responsive')); ?></a>
                                                            </div>
                                                            <div class="article-link"> <a href="<?php the_permalink(); ?>"><i class="lnr lnr-arrow-left"></i></a> </div>
                                                            <div class="article-content">
                                                                <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                                                <div class="meta"> <span><?php  echo get_the_date();?></span>
                                                                    <span><i>در</i>
                                                                        <?php
                                                                        foreach($term_lists as $term_list){
                                                                            $link_cat = get_tag_link($term_list->term_id);
                                                                            echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a>';
                                                                        };
                                                                        ?>
                                                                    </span>
                                                                    <span><i>برچسب ها</i>
                                                                        <?php
                                                                        foreach($term_lists2 as $term_list){
                                                                            $link_tag = get_tag_link($term_list->term_id);
                                                                            echo ' <a href="'.$link_tag.'">'.$term_list->name.'</a>';
                                                                        };
                                                                        ?>
                                                                    </span>
                                                                </div>
                                                                <?php the_excerpt();?>
                                                            </div>
                                                        </div>
                                                    </div>

                                                <?php
                                                endwhile;
                                            }
                                            wp_reset_query();
                                        }
                                        ?>
                                    </div>
                                    <!-- Related Posts / End -->
                                    <div class="margin-top-50"></div>
                                    <!-- Reviews -->
                                    <?php get_template_part( 'comments' );?>
                                    <!-- Add Review Box / End -->
                                </div>
                                <!-- Content / End -->
                                <!-- Widgets -->
                                <div class="col-lg-4 col-md-4">
                                    <div class="sidebar right">
                                        <!-- Widget -->
                                        <?php if ( is_active_sidebar( 'sidebar_blog' ) ) : ?>
                                            <?php dynamic_sidebar( 'sidebar_blog' ); ?>
                                        <?php endif; ?>
                                        <!-- Widget / End-->
                                    </div>
                                </div>
                            </div>
                            <!-- Sidebar / End -->
                        </div>
                    </div>
                </div><!-- #content -->
            </div>
            <!-- /Main Content -->
        <?php endwhile;?>
    </div>
<?php
endif;
get_footer();